RK-A2 - Feature #3658

Feature # 3648 (New): FE: get questions according to user's style preferences using get_questions api

FE: get questions from get_questions API instead of GCS file
07/10/2024 02:23 PM - Ram Kordale

Status: Feedback Start date: 07/10/2024
Priority: High Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.35 hour
Target version: Spent time: 0.00 hour
Description

Instead of getting the question from the GCS file, get it from get_questions API (ticket 3647).

3657 gets the list of questions L, decides the next question Q' and the style S'.

Get Q' in style S' using get_questions (ticket 3647) gcf.

For this ticket, fetch the question just before you have to show the question. later, we will cache it before hand.

If a question has sub-questions S1, S2, S3 with answers A1, A2 and A3, they will be returned by the get_question call as
S1@#$S2@#$S3 and A1@#$A2@#$A3 respectively.

History

#1 - 07/11/2024 04:10 AM - Parag Patil

- Status changed from New to In Progress

#2 - 07/11/2024 05:46 AM - Ram Kordale
- Subject changed from FE: get questions from get_questions instead of GCS file to FE: get questions from get_questions APl instead of GCS file

#3 - 07/12/2024 06:34 AM - Ram Kordale
- Description updated

#4 - 07/12/2024 11:14 AM - Ram Kordale
- Assignee deleted (Parag Patil)

#5 - 07/12/2024 11:17 AM - Ayanava Karmakar

- Assignee set to Ayanava Karmakar

#6 - 07/12/2024 01:08 PM - Ayanava Karmakar
- % Done changed from 0 to 100

#7 - 07/12/2024 01:08 PM - Ayanava Karmakar

- Status changed from In Progress to Feedback
